## org.python.core
Class InternalTables2

    java.lang.Object
      |
      +--org.python.core.InternalTables
            |
            +--org.python.core.InternalTables1
                  |
                  +--org.python.core.InternalTables2

Direct Known Subclasses:
  AutoInternalTables

public class InternalTables2
extends InternalTables1

Nested Class Summary

Nested classes inherited from class org.python.core.InternalTables
`InternalTables._LazyRep`

Constructor Summary
`InternalTables2()`

Method Summary
`void` `_beginCanonical()`
`void` `_beginLazyCanonical()`
`void` `_beginOverAdapterClasses()`
`void` `_beginOverAdapters()`
`void` `_flushCurrent()`
`java.lang.Object` `_next()`

Methods inherited from class org.python.core.InternalTables1
`_flush`

Methods inherited from class org.python.core.InternalTables
`_doesSomeAutoUnload, _forceCleanup`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InternalTables2

    public InternalTables2()

Method Detail

### _beginCanonical

    public void _beginCanonical()

  Overrides:
    `_beginCanonical` in class `InternalTables1`

### _beginLazyCanonical

    public void _beginLazyCanonical()

  Overrides:
    `_beginLazyCanonical` in class `InternalTables1`

### _beginOverAdapterClasses

    public void _beginOverAdapterClasses()

  Overrides:
    `_beginOverAdapterClasses` in class `InternalTables1`

### _beginOverAdapters

    public void _beginOverAdapters()

  Overrides:
    `_beginOverAdapters` in class `InternalTables1`

### _next

    public java.lang.Object _next()

  Overrides:
    `_next` in class `InternalTables1`

### _flushCurrent

    public void _flushCurrent()

  Overrides:
    `_flushCurrent` in class `InternalTables1`

Jython homepage